Debian Bug report logs - #175862
Strange output messages when extracting prototypes from C files

version graph

Package: cproto; Maintainer for cproto is Kenneth J. Pronovici <pronovic@debian.org>; Source for cproto is src:cproto.

Reported by: Luis Garrido <oster@gps.tsc.upc.es>

Date: Wed, 8 Jan 2003 16:03:04 UTC

Severity: normal

Found in version 4.6d-1

Fixed in version cproto/4.7a-1

Done: pronovic@debian.org (Kenneth J. Pronovici)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Carsten Leonhardt <leo@debian.org>, cproto@packages.qa.debian.org:
Bug#175862; Package cproto. Full text and rfc822 format available.

Acknowledgement sent to Luis Garrido <oster@gps.tsc.upc.es>:
New Bug report received and forwarded. Copy sent to Carsten Leonhardt <leo@debian.org>, cproto@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luis Garrido <oster@gps.tsc.upc.es>
To: submit@bugs.debian.org
Subject: Strange output messages when extracting prototypes from C files
Date: Wed, 8 Jan 2003 17:09:34 +0000 (UTC)
Package: cproto
Version: 4.6d-1

I am using Debian unstable.

This problem appears when cproto uses gcc (GCC) 3.2.2 20021231 (Debian
prerelease) in order to extract the prototypes of a file. This problem
does not appear when using gcc-2.95.4 (which was the default browser a few
days ago).

Assume that you have a C file called toto.c whose contents are

#include <stdio.h>

float arith(int b, int a) 
{
}

float divide(int b, int a)
{
}

int main(void)
{
}

When executing "cproto toto.c" at the command line the following messages
are output: 

/* toto.c */
"/usr/lib/gcc-lib/i386-linux/3.2.2/include/stdarg.h", line 43: parse error
at token '__builtin_va_list'
"/usr/include/libio.h", line 463: parse error at token '__gnuc_va_list'
"/usr/include/libio.h", line 465: parse error at token '__gnuc_va_list'
"/usr/lib/gcc-lib/i386-linux/3.2.2/include/stdio.h", line 314: parse error
at token '__gnuc_va_list'
"/usr/lib/gcc-lib/i386-linux/3.2.2/include/stdio.h", line 316: parse error
at token '__gnuc_va_list'
"/usr/lib/gcc-lib/i386-linux/3.2.2/include/stdio.h", line 320: parse error
at token '__gnuc_va_list'
"/usr/lib/gcc-lib/i386-linux/3.2.2/include/stdio.h", line 331: parse error
at token '__gnuc_va_list'
float arith(int b, int a);
float divide(int b, int a);
int main(void);
  
Note that the 1st line "/* toto.c */" is a comment output by cproto, and
the 3 last lines are the prototypes of the functions the file toto.c
includes. Thus, we may consider that the prototypes are correctly
created. The remaining lines are warning messages (output to
stderr). These messages are output if the line "#include <stdio.h>" is
included in the source file.

If the file toto.c is renamed to toto.cpp (C++ file), the execution of the
command "cproto toto.cpp" produces no warning messages.  

I have tried to recompile the original sources downloading them with
"apt-get source cproto" but compilation fails (the latter problem has
already been reported to the bug tracking system).

Regards,

      Luis Garrido




Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Leonhardt <leo@debian.org>, cproto@packages.qa.debian.org:
Bug#175862; Package cproto. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Carsten Leonhardt <leo@debian.org>, cproto@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 175862@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 175862@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=175862
Date: Fri, 31 Jan 2003 18:36:00 -0500
                       Debian Bug report logs - #175862
>        Strange output messages when extracting prototypes from C files

I noticed the bug report, and started working on it, and at the same time
noticed some unrelated fixes in the other branch of cproto which I'll
incorporate.  Basically the fix for this is to add the keyword to the
table in init_parser.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to pronovic@debian.org (Kenneth J. Pronovici):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luis Garrido <oster@gps.tsc.upc.es>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 175862-close@bugs.debian.org (full text, mbox):

From: pronovic@debian.org (Kenneth J. Pronovici)
To: 175862-close@bugs.debian.org
Subject: Bug#175862: fixed in cproto 4.7a-1
Date: Sat, 05 Apr 2003 16:17:58 -0500
We believe that the bug you reported is fixed in the latest version of
cproto, which is due to be installed in the Debian FTP archive:

cproto_4.7a-1.diff.gz
  to pool/main/c/cproto/cproto_4.7a-1.diff.gz
cproto_4.7a-1.dsc
  to pool/main/c/cproto/cproto_4.7a-1.dsc
cproto_4.7a-1_i386.deb
  to pool/main/c/cproto/cproto_4.7a-1_i386.deb
cproto_4.7a.orig.tar.gz
  to pool/main/c/cproto/cproto_4.7a.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 175862@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kenneth J. Pronovici <pronovic@debian.org> (supplier of updated cproto package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  5 Apr 2003 13:35:42 -0600
Source: cproto
Binary: cproto
Architecture: source i386
Version: 4.7a-1
Distribution: unstable
Urgency: low
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Changed-By: Kenneth J. Pronovici <pronovic@debian.org>
Description: 
 cproto     - Generate C function prototypes and convert function definitions
Closes: 175862 186596
Changes: 
 cproto (4.7a-1) unstable; urgency=low
 .
   * New maintainer (closes: #186596).
   * New upstream release.
     - Upstream fixes to cproto.c (closes: #175862).
     - Upstream fixes to cproto.h to match NMU for bug #166140.
   * Updated debian/copyright to reflect new maintainer.
   * Updated debian/control file to reflect new maintainer.
   * Changed standards-version to 3.5.9 in debian/control.
   * Updated debhelper depends to (>= 4.0.2) in debian/control.
   * Removed emacs-specific directives from debian/changelog.
   * Removed debian/docs file, since it only had one thing in it.
   * Added debian/compat file at compatibility level 4.
   * Cleaned up debian/rules file.
   * Added debian/watch file.
Files: 
 551991fb41fcbb84ec4f5da026b59ba3 619 devel optional cproto_4.7a-1.dsc
 a0844f1eb962cef936e4fb64241c259a 127867 devel optional cproto_4.7a.orig.tar.gz
 50fcb1b3768ca328f35c39e6a4476a79 1778 devel optional cproto_4.7a-1.diff.gz
 db5e106a7e6e319a028abd2530c049e2 38562 devel optional cproto_4.7a-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE+j0EZ8On2ujzZUQQRAlZIAKCapF7Y8r9gPclkoOZ6aLOuO7+sewCfZKK0
aDkuUKsIvbLPwuPiiUymai8=
=qnJk
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:45:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.